package org.jcodec.codecs.mjpeg;

/**
 * This class is part of JCodec ( www.jcodec.org )
 * This software is distributed under FreeBSD License
 * 
 * @author stan
 *
 */
public class CodedImage {
    FrameHeader frame;
    ScanHeader scan;
    private byte[] data;
    private HuffTable ydc = HuffTable.YDC_DEFAULT;
    private HuffTable yac = HuffTable.YAC_DEFAULT;
    private HuffTable cdc = HuffTable.CDC_DEFAULT;
    private HuffTable cac = HuffTable.CAC_DEFAULT;
    private QuantTable quantLum;
    private QuantTable quantChrom;

    public int getWidth() {
        return frame.x;
    }

    public int getHeight() {
        return frame.y;
    }

    public byte[] getData() {
        return data;
    }

    public void setData(byte[] data) {
        this.data = data;
    }

    public HuffTable getYdc() {
        return ydc;
    }

    public void setYdc(HuffTable ydc) {
        this.ydc = ydc;
    }

    public HuffTable getYac() {
        return yac;
    }

    public void setYac(HuffTable yac) {
        this.yac = yac;
    }

    public HuffTable getCdc() {
        return cdc;
    }

    public void setCdc(HuffTable cdc) {
        this.cdc = cdc;
    }

    public HuffTable getCac() {
        return cac;
    }

    public void setCac(HuffTable cac) {
        this.cac = cac;
    }

    public QuantTable getQuantLum() {
        return quantLum;
    }

    public void setQuantLum(QuantTable quant1) {
        this.quantLum = quant1;
    }

    public QuantTable getQuantChrom() {
        return quantChrom;
    }

    public void setQuantChrom(QuantTable quant2) {
        this.quantChrom = quant2;
    }
}