package org.jcodec.codecs.wav;

import java.io.IOException;
import java.io.InputStream;

public abstract class StringReader {
    public static String readString(InputStream input, int len) throws IOException {
        byte[] bs = sureRead(input, len);
        return bs == null ? null : new String(bs);
    }

    public static byte[] sureRead(InputStream input, int len) throws IOException {
        byte[] res = new byte[len];
        int read = 0;
        while(read < len) {
            int tmp = input.read(res, read, len - read);
            if(tmp == -1)
                return null;
            read += tmp;
        }
        return res;
    }
}
