package org.jcodec.common.io;

import static java.lang.Math.min;

import java.io.IOException;

/**
 * This class is part of JCodec ( www.jcodec.org )
 * This software is distributed under FreeBSD License
 * 
 * @author stan
 *
 */
public class LimitInBits implements InBits {

    private int limit;
    private InBits bits;

    public LimitInBits(int limit, InBits bits) {
        this.limit = limit;
        this.bits = bits;
    }

    public int read1Bit() throws IOException {
        if (limit-- > 0)
            return bits.read1Bit();
        return -1;
    }

    public long readNBit(int n) throws IOException {
        int toRead = min(n, limit);
        if (toRead > 0)
            return readNBit(toRead);
        return -1;
    }

    public boolean moreData() throws IOException {
        return limit > 0;
    }
}
