package org.jcodec.common.model;

import java.util.List;

/**
 * This class is part of JCodec ( www.jcodec.org ) This software is distributed
 * under FreeBSD License
 * 
 * @author Stanislav Vitvitskiy
 * 
 */
public class Frame {
    private Picture pic;
    private RationalLarge pts;
    private RationalLarge duration;
    private Rational pixelAspect;
    private List<String> messages;

    public Frame(Picture pic, RationalLarge pts, RationalLarge duration, Rational pixelAspect, List<String> messages) {
        this.pic = pic;
        this.pts = pts;
        this.duration = duration;
        this.pixelAspect = pixelAspect;
        this.messages = messages;
    }

    public Picture getPic() {
        return pic;
    }

    public RationalLarge getPts() {
        return pts;
    }

    public RationalLarge getDuration() {
        return duration;
    }

    public Rational getPixelAspect() {
        return pixelAspect;
    }

    public List<String> getMessages() {
        return messages;
    }
}
