package org.jcodec.common.model;

/**
 * This class is part of JCodec ( www.jcodec.org ) This software is distributed
 * under FreeBSD License
 * 
 * Encoded stream packet
 * 
 * @author Stanislav Vitvitskiy
 * 
 */
public class Packet {
    private byte[] data;
    private long pts;
    private int duration;
    private int frameNo;
    private boolean iframe;

    public Packet(byte[] data, long pts, int duration, int frameNo, boolean iframe) {
        this.data = data;
        this.pts = pts;
        this.duration = duration;
        this.frameNo = frameNo;
        this.iframe = iframe;
    }

    public byte[] getData() {
        return data;
    }

    public long getPts() {
        return pts;
    }

    public int getDuration() {
        return duration;
    }

    public int getFrameNo() {
        return frameNo;
    }

    public boolean isIframe() {
        return iframe;
    }
}
