package org.jcodec.common.tools;

import static java.lang.Math.min;
import static java.lang.System.arraycopy;

import org.jcodec.common.model.Plane;
import org.jcodec.common.model.Rect;

/**
 * This class is part of JCodec ( www.jcodec.org )
 * This software is distributed under FreeBSD License
 * 
 * @author stan
 *
 */
public class ImageOP {

    /**
     * 
     * @param src
     * @param area
     * @return
     */
    public static int[] subImageWithFill(Plane src, Rect area) {
        int dstWidth = area.getWidth();
        int dstHeight = area.getHeight();
        int srcHeight = min(src.getSize().getHeight() - area.getY(), dstHeight);
        int srcWidth = min(src.getSize().getWidth() - area.getX(), dstWidth);
        int srcStride = src.getSize().getWidth();

        int[] dst = new int[dstWidth * dstHeight];

        int dstOff = 0, srcOff = area.getY() * srcStride + area.getX();
        int i;
        for (i = 0; i < srcHeight; i++) {
            int j;
            for (j = 0; j < srcWidth; j++) {
                dst[dstOff + j] = src.getData()[srcOff + j];
            }
            int lastPix = dst[j - 1];
            for (; j < dstWidth; j++)
                dst[dstOff + j] = lastPix;
            srcOff += srcStride;
            dstOff += dstWidth;
        }
        int lastLine = dstOff - dstWidth;
        for (; i < dstHeight; i++) {
            arraycopy(dst, lastLine, dst, dstOff, dstWidth);
            dstOff += dstWidth;
        }

        return dst;
    }
}
