package org.jcodec.containers.mp4.boxes;

import java.io.DataOutput;
import java.io.IOException;

import org.jcodec.containers.mp4.io.Input;
import org.jcodec.containers.mp4.io.Parser;

public class FullBox extends Box {
    
    public FullBox(Header atom) {
        super(atom);
    }

    protected byte version;
    protected int flags;

    public void parse(Input input) throws IOException {
        int vf = (int)Parser.readInt32(input);
        version = (byte)((vf >> 24) & 0xff);
        flags = vf & 0xffffff;
    }
    
    protected void doWrite(DataOutput out) throws IOException {
        out.writeInt((version << 24) | (flags & 0xffffff));
    }

    public byte getVersion() {
        return version;
    }

    public int getFlags() {
        return flags;
    }

    public void setVersion(byte version) {
        this.version = version;
    }

    public void setFlags(int flags) {
        this.flags = flags;
    }
}