package org.jcodec.containers.mp4.boxes;

import static org.jcodec.containers.mp4.io.Parser.readInt32;

import java.io.DataOutput;
import java.io.IOException;

import org.jcodec.containers.mp4.io.Input;

/**
 * This class is part of JCodec ( www.jcodec.org ) This software is distributed
 * under FreeBSD License
 * 
 * 
 * @author Stanislav Vitvitskiy
 * 
 */
public class GamaBox extends Box {

    private float gamma;

    public GamaBox(float gamma) {
        super(new Header("gama", 0));
        this.gamma = gamma;
    }

    public GamaBox(Header header) {
        super(header);
    }

    public GamaBox(Box other) {
        super(other);
    }

    public void parse(Input input) throws IOException {
        float g = readInt32(input);
        gamma = g / 65536f;
    }

    protected void doWrite(DataOutput out) throws IOException {
        out.writeInt((int) (gamma * 65536));
    }
}