package org.jcodec.containers.mp4.io;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.RandomAccessFile;

/**
 * This class is part of JCodec ( www.jcodec.org )
 * This software is distributed under FreeBSD License
 * 
 * A source that internally reads from random access file
 * 
 * @author Stanislav Vitvitskiy
 * 
 */
public class FileInput implements RandomAccessInput {

	private RandomAccessFile src;

	public FileInput(File file) throws FileNotFoundException {
		src = new RandomAccessFile(file, "r");
	}

	public long getPos() throws IOException {
		return src.getFilePointer();
	}

	public int read() throws IOException {
		return src.read();
	}

	public int read(byte[] buf) throws IOException {
		return src.read(buf);
	}

	public int read(byte[] buf, int off, int len) throws IOException {
		return src.read(buf, off, len);
	}

	public void seek(long where) throws IOException {
		src.seek(where);
	}

	public void skip(int i) throws IOException {
		src.skipBytes(i);
	}

    public void close() throws IOException {
        src.close();
    }
}