package org.jcodec.containers.mp4.io;

import java.io.IOException;

/**
 * This class is part of JCodec ( www.jcodec.org )
 * This software is distributed under FreeBSD License
 * 
 * @author stan
 *
 */
public interface Input {
	/**
	 * Reads one unsigned byte from the input
	 * 
	 * @return
	 * @throws IOException
	 */
	int read() throws IOException;

	/**
	 * Reads a buf.length bytes from the input into the supplied buffer
	 * 
	 * @param buf
	 * @return
	 * @throws IOException
	 */
	int read(byte[] buf) throws IOException;

	/**
	 * Reads len bytes from the input into the supplied buffer starting from
	 * offset off
	 * 
	 * @param buf
	 * @param off
	 * @param len
	 * @return
	 * @throws IOException
	 */
	int read(byte[] buf, int off, int len) throws IOException;

	void skip(int i) throws IOException;
}
