package org.jcodec.containers.mp4.io;

import java.io.IOException;

/**
 * This class is part of JCodec ( www.jcodec.org )
 * This software is distributed under FreeBSD License
 * 
 * An interface for random access source
 * 
 * needed to correctly find metadata of mp4 container which can be located in
 * the end of the file as well
 * 
 * @author Stanislav Vitvitskiy
 * 
 */
public interface RandomAccessInput extends Input {
	/**
	 * Seeks to the certain absolute position in this input
	 * 
	 * @param where
	 * @throws IOException
	 */
	void seek(long where) throws IOException;

	/**
	 * Returns the current position in the input
	 * 
	 * @return
	 * @throws IOException
	 */
	long getPos() throws IOException;
}
